Questions tagged [magento-upgrade]

Denotes a question related to Magento upgrade process

158 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
3 votes
1 answer
303 views

Null condition present on Category Products Collection Query

Currently I am on Magento 2.4.2 which was upgraded from 2.3.0. The issue which I am facing right now is that I am not able to see any products displayed on category page. After debugging the below ...
  • 190
3 votes
0 answers
118 views

Products not appearing on category page after upgrade from 2.3.0 to 2.4.2

I have upgraded my Magento v2.3.0 to v2.4.2 running on Mysql 8. Everything went well except products not showing up on category page. Below is the class responsible to fetch products on category page. ...
  • 1,484
3 votes
0 answers
224 views

Unable to write output

Evening, I'm trying to run the following command composer show magento/product-community-edition 2.4.* --all | grep -m 1 versions but I am getting an output of the following: versions : * 2.4.2 [...
3 votes
2 answers
184 views

How to Upgrade magento 2.1.9 to 2.2.3?

How to move Magento 2.1.9 from bitnami to a similar bitnami box Azure but at Magento version 2.3.3 Also, If I upgrade Magento via composer or using the admin panel then will all of the third-party ...
3 votes
3 answers
165 views

How to solve this error?

I am trying to upgrade magento version from 2.1.9 to 2.1.10 I got following error. Module 'Magento_Ui' from '/home/zitomer/upgrade.zitomer.com/app/code/Magento/Ui' has been already defined in '...
  • 553
3 votes
1 answer
58 views

Why is system upgrade showing unstable version when upgrading in backend?

testing an upgrade from 2.1.7 to 2.1.9 and further, I was wondering why Magento shows the versions from 2.1.10 to 2.1.12 as "unstable versions" ?! what does that mean - should one upgrade or not to ...
2 votes
3 answers
67 views

Admin panel not loading properly, after magento 2 upgraded

I have recently upgraded Magento from 2.3 version to 2.4 version and it has been the upgraded, after upgrade the admin panel is breaking. Not loading properly. Can anyone please help me with solution.
2 votes
1 answer
77 views

Magento 2.4.3 Upgrade from 2.3.0 showing iframe for Online payment

I have upgraded Magento 2.3.0 to Magento 2.4.3, everything is working perfectly but when selecting CCAvenue online payment on payment page, one iFrame is showing below to enter credit card information ...
  • 1,484
2 votes
0 answers
169 views

After Upgrate Magento 2 from version 2.2.5 to 2.3.4 Integrity constraint violation: 1452 Cannot add or update a child row

I am trying to upgrade Magento 2 version from 2.2.5 to 2.3.4 using CLI. Version up-gradation is done. After version upgrade when I run bin/magento setup:upgrade it will give an error as follow: ...
2 votes
0 answers
36 views

Product page images cache generation issue after Magento upgrade

Product page images are showing thumbnails instead of product images. On the same page related products images are showing fine. Only products images are having issues. The image url is accessible but ...
2 votes
2 answers
1k views

Notice: Array to string conversion in Escaper.php on line 261 after Upgrade from 2.3.5 to 2.4.0

System: PHP 7.3, MySql 5.7, Magento 2.4 After Upgrade Exception: Notice: Array to string conversion in Escaper.php on line 261 This effect is only while displaying a Product grid with Image other ...
2 votes
0 answers
44 views

Configuration data broken after upgrading to Magento from 2.2.5 to Magento 2.3.3

i Have 3 multi websites , with each websites have 3 different store views, After upgrading to Magento 2.3.3 from 2.2.5 , i've encountered some issue: Magento 2.3.3 prints empty base URL, so all the ...
  • 79
2 votes
1 answer
42 views

Magento 2.1 EE upgrade issues

I am trying to upgrade my magento 2.1 EE to latest version 2.3.1 EE. But I am getting two issues- 1. PHP memory limit issues. It shows current limit is 512 M and needs to be 756 M or more. But ...
  • 377
2 votes
0 answers
1k views

Magento 2.3 Backup failed Error received from server

I want to upgrade magento from 2.3 > 2.3.1 my system running on google cloud servers using bitnami I have registered my domain on cloudflare to get the ssl at first upgrade attempt on third ...
2 votes
3 answers
1k views

Fatal error: Out of memory (in composer) during upgrade Magento2.2.1 to Magento 2.3 when run composer update command

Fatal error: Out of memory (allocated 1045438464) (tried to allocate 16777216 bytes) in phar:///usr/local/bin/composer.phar/src/Composer/DependencyResolver/Solver.php on line 220 I am using ...
  • 1,205
2 votes
2 answers
79 views

Magento performance went dow by 50% after upgrading from 2.1 to 2.2

I've upgraded Magento 2.1.11 to Magento 2.2.6 and after the upgrade the CPU utilization and CPU load duplicated. Is was a simple and straight forward upgrade. No server changes were made regarding ...
2 votes
2 answers
506 views

Possible of error : Magento 2.0.4 to 2.1.0 Upgrade Check Component Dependency Error

From magento 2.0.4 to 2.1.0 Component Dependency Error, how can i solve below error,
  • 125
1 vote
1 answer
217 views

How to fix Upgrade Compatibility Tool Magento 2.4.5 errors

The following errors are showing in my custom module when generating report using Upgrade compatibility tool. in 2.4.5 Using class 'Magento\Company\Model\ResourceModel\Company\Collection' that is non ...
1 vote
2 answers
227 views

Magento 2 Upgrade Issue from 2.3.6 to 2.4.4

I am trying to upgrade Magento from 2.3.6 to 2.44 using this link https://magecomp.com/blog/upgrade-magento-version-from-2-3-to-2-4/, Now issue is that Magento 2.4.4. requires PHP 7.4 and Magento 2.3....
1 vote
1 answer
73 views

After upgrade magento 2.3.5 to 2.4.3, Can't update product quantity to minicart

I can't update product quantity in mini cart after upgrading the Magento 2.3.5 to 2.4.3-p2 version. I got this below error Notice: Trying to access array offset on value of type int in /var/www/html/...
1 vote
1 answer
347 views

Using Class or Implemented interface is non API on version '2.4.4'

I have generated Upgrade Compatibility Tool Report and most of the errors are as below. [ERROR] [1328] Line 24: Implemented interface 'Magento\Framework\GraphQl\Query\ResolverInterface' that is non ...
1 vote
0 answers
45 views

Error : upgrade magento 2.2.6 to magento 2.3.0

Error : upgrade magento 2.2.6 to magento 2.3.0 To upgrade the website, I used the following blog https://www.webcreta.com/how-to-upgrade-magento-2-2-x-to-2-3-0/ But when I run the composer update ...
1 vote
1 answer
2k views

Shipping Region ID is missing in checkout after upgrading from Magento 2.3.4 to Magento 2.4.1

After i upgrade from Magento 2.3.4 to Magento 2.4.1 after choosing the shipping address in the checkout page, i got this error: Please specify regionId in shipping address then i see the region is ...
1 vote
0 answers
57 views

Magento CE 2.3.5 Web Setup Wizard

I am using the Magento 2.3.4-p2(CE). In Admin Panel, System => Tools => Web Setup Wizard redirect to the following url Url: BASE_URL/setup/index.php/session/unlogin How to solve this issue?
1 vote
0 answers
24 views

Magento 2 : Customer Edit Shows Double Links After Upgrade

After upgrade my magento2 from Magento 2.1.7 to latest version Magento 2.3.5, when I go to admin customer edit page that shows all links double. Does anyone have idea how i can solve this issue.
1 vote
1 answer
102 views

Magento search is not working after upgrade to latest version

Does any one know how i can solve my problem ? . becuase my search is not workinig after upgrade magento version
1 vote
4 answers
1k views

Magento 2 - I'm upgrading magento 2.1 to 2.3.5 but compile command returning error

I'm trying to upgrade magento 2 version to the latest version by following commands php bin/magento maintenance:enable composer require magento/product-community-edition 2.3.5 --no-update composer ...
1 vote
0 answers
367 views

Failed to load the "Magento_Tax/js/view/checkout/summary/subtotal" component. error on checkout/cart page after upgrading magento

After upgrading Magento 2.2.3 to 2.3.5, I faced the list of these errors on my checkout cart page. Order summary details are also missing. I disable all the custom modules and extensions. Can any help ...
  • 11
1 vote
2 answers
264 views

Magento 2 after upgrade from 2.2.4 to 2.3.4 category data not saving

After upgrade from Magento 2.2.4 to 2.3.4 the category data not saving. However the category saves correctly and shows the correct saved message. But data inside it not loading. While troubleshooting ...
1 vote
0 answers
122 views

Magento 2 Upgrade Process Stuck

I am trying to upgrade Magento 2.3.2 to Magento 2.3.3. Copy and paste the file and run upgrade command but process stuck process not progress process. only show last is Schema creation/updates: ...
1 vote
1 answer
106 views

Setup:upgrade error after upgrade to Magento 2.3.3

I just upgrade my Magento 2.2.5 to 2.3.3 , and After running bin/magento setup:upgrade i got the following error: Warning: Illegal string offset 'max_items' in vendor/magento/framework/App/Config/...
  • 79
1 vote
0 answers
149 views

Cannot process definition to array for type json after updating magento 2.2.3 to 2.3.3

I am upgrading magento 2.2.3 to 2.3.3 via command line after running this command php bin/magento setup:upgrade but I am getting this error: Cannot process definition to array for type json what ...
  • 11
1 vote
1 answer
107 views

How to Upgrade Custom Module in Magento 2.3

I am using Magento 2.2.3 currently, and i have created many custom modules. Now i am planing to upgrade my site with Magento 2.3.2. So i have no idea how can i upgrade my custom modules. I am very new ...
1 vote
1 answer
140 views

Attribute set is missing after upgrade to magento 2.2.9 from 2.2.6 which is migrated website from magento 1.x

I had migrated Magento 1 website to Magento 2.2.6, so after some days i had upgraded my Magento version to 2.2.9, after upgrade i can see that my attributes sets are missing and when i checked into ...
1 vote
0 answers
571 views

Facing issues on upgrade magento in magento cloud, upgrade magento to latest version of magento 2.3.2

Right now we are working on updating magento to latest version of magento 2.3.2 right now we are runing 2.2.7. I following the guide for 2.3 branch found at https://devdocs.magento.com/guides/v2.3/...
1 vote
0 answers
140 views

upgrade issue from 2.1.14 to 2.2 :: magento2

I have upgrade magento version from 2.1.14 to 2.2.0. First time when i run run php bin/magento setup:upgrade command it gives this error: Module 'Magento_TaxImportExport': Module '...
1 vote
1 answer
400 views

Magento 2.2.5 to 2.3.1 upgrade issue

I have upgraded Magento from 2.2.5 to 2.3.1 using composer. Everything downloaded. While running setup: upgrade, I got an error like below, I checked with the previous version there is decimal ...
1 vote
0 answers
15 views

What are the security issues in Magento1.9.2?

I want to update Magento version from 1.9.1.0 to Magento1.9.2. What are the security issues in Magento1.9.2?
1 vote
0 answers
116 views

Upgrade from Magento 2.2.6 to 2.3.1 CLI Command Error

When upgrading from Magento CE 2.2.6 to Magento CE 2.3.1, I am following the command line upgrade as explained here. All was well and the commands ran just as they should have until I ran the ...
1 vote
0 answers
297 views

After upgrade to Magento 2.2.8 my transactional email is not working anymore

I just updated to Magento 2.2.8 and now my email is not working anymore, the message I get is: The message should be an instance of \Zend_Mail I tried the Mageside and Mageplaza module, also ...
1 vote
1 answer
759 views

unable to update Magento to latest version from 2.2.4 to 2.3

I am trying to update Magento 2.2.4 to Magento 2.3 via composer but I am getting below error: Your requirements could not be resolved to an installable set of packages. Problem 1: - magento/...
1 vote
1 answer
1k views

Compilation from source on static-content deploy in magento 2.3.0 when upgraded from magento 2.2.2

Hello i had upgraded magento 2.2.2 to 2.3.0 and i am getting following error when i do setup:static-content:deploy Compilation from source: /home/xxxxxxxx/public_html/xxxx/xxxxxx/vendor/magento/theme-...
1 vote
0 answers
70 views

getting error when upgrading from Magento 2.1.5 to Magento 2.2.6

I want to upgrade my website with the latest version. I am using below commands: composer require magento/product-community-edition 2.2.6 --no-update composer update I am getting below error:...
  • 1,975
1 vote
0 answers
52 views

Update Magento 1.4.1.1. to first 1.4.2 but "No releases for package "magento-core/Mage_All_Latest" exist"

I'm using exactly the same method described in this question but i get the following errors: No releases for package "magento-core/Mage_All_Latest" exist Cannot initialize 'channel://connect....
  • 111
1 vote
1 answer
565 views

Magento 2: Browser console error on hard refresh

I am facing some weird issue with Magento 2.2.5 version. When I first-time open website, I am getting lots of js errors. (Screenshot attached) After this, when I only press F5 button (normal refresh) ...
1 vote
2 answers
1k views

Upgrade Magento 2.2.3 to 2.2.4

I tried updating from magento 2.2.3 to 2.2.4 using the web setup wizard. However the upgrade finishes with a fatal error. I login to my admin and it shows that it is 2.2.4 however when I go to the ...
1 vote
5 answers
2k views

Error after upgrade to Magento 2.2

Getting this error. Please can anyone help us ? 1 exception(s): Exception #0 (Magento\Framework\Config\Dom\ValidationException): Element 'block', attribute 'class': [facet 'pattern'] The value '...
0 votes
0 answers
8 views

Magento2 Product salable Status not change after save?

Magento2 Product salable Status does not change after saving? I have upgraded the Magento version from 2.3.5-p1 to 2.3.7. whenever I save product Stock Status this saves to Out of Stock. after ...
0 votes
0 answers
10 views

Upgrade to 2.4.3 Fatal error Interop/Container/ContainerInterface

I am trying to upgrade from 2.4.2 to 2.4.3 (and hopefully on to 2.4.4 then). I have had a few issues with league/flysystem and magento2-functional-testing-framework which I resolved by downloading 2.4....
0 votes
1 answer
30 views

PHP Warning: require(/vendor/composer/../magento/project-enterprise-edition/app/etc/NonComposerComponentRegistration.php): Failed to open stream

I am working on an upgrade project from Magento 2.3.2.p2 EE to 2.4.4 EE. After the composer update was done successfully I found the below error while run php bin/magento commands, can anyone help me ...